org.jbpm.casemgmt.impl.model.instance

## Class CaseInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseInstanceImpl

- All Implemented Interfaces:
    Serializable, CaseInstance

      public class CaseInstanceImpl
      extends Object
      implements CaseInstance, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInstanceImpl()`
    `CaseInstanceImpl(String caseId, String caseDescription, Collection<CaseStageInstance> caseStages, Collection<CaseMilestoneInstance> caseMilestones, Collection<CaseRoleInstance> caseRoles, CaseFileInstance caseFile)`
    `CaseInstanceImpl(String caseId, String caseDescription, String caseDefinitionId, Integer status, String deploymentId, String owner, Date startedAt, Date completedAt, Long processInstanceId, String completionMessage, Date slaDueDate, Integer slaCompliance)` Constructor to be used mainly by persistence provider to create instances automatically
    `CaseInstanceImpl(String caseId, String caseDescription, String caseDefinitionId, Integer status, String deploymentId, String owner, Date startedAt, Date completedAt, Long processInstanceId, String completionMessage, Date slaDueDate, Integer slaCompliance, String parentCaseId)` Constructor to be used mainly by persistence provider to create instances automatically

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCaseDefinitionId()` Returns case definition id
    `String` | `getCaseDescription()` Returns case description
    `CaseFileInstance` | `getCaseFile()` Returns case file associated with this case.
    `String` | `getCaseId()` Returns case identifier of this case.
    `Collection<CaseMilestoneInstance>` | `getCaseMilestones()` Returns available case milestones for this case.
    `Collection<CaseRoleInstance>` | `getCaseRoles()` Returns case roles for this case.
    `Collection<CaseStageInstance>` | `getCaseStages()` Returns available case stages in this case.
    `Date` | `getCompletedAt()` Returns completion date of this case
    `String` | `getCompletionMessage()` Returns completion message (if any) of this case
    `String` | `getDeploymentId()` Returns deployment id
    `String` | `getOwner()` Returns owner of the case - usually one who started the case
    `String` | `getParentCaseId()` Returns the parent id case if any
    `Long` | `getProcessInstanceId()`
    `Integer` | `getSlaCompliance()` Returns up to date SLA compliance level for case instance
    `Date` | `getSlaDueDate()` Returns SLA due date if any is set on case instance
    `Date` | `getStartedAt()` Returns start date of this case
    `Integer` | `getStatus()` Returns status of the case
    `void` | `setCaseDefinitionId(String caseDefinitionId)`
    `void` | `setCaseDescription(String caseDescription)`
    `void` | `setCaseFile(CaseFileInstance caseFile)` Sets case file information to this instance
    `void` | `setCaseId(String caseId)`
    `void` | `setCaseMilestones(Collection<CaseMilestoneInstance> caseMilestones)`
    `void` | `setCaseRoles(Collection<CaseRoleInstance> caseRoles)`
    `void` | `setCaseStages(Collection<CaseStageInstance> caseStages)`
    `void` | `setCompletedAt(Date completedAt)`
    `void` | `setCompletionMessage(String completionMessage)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setOwner(String owner)`
    `void` | `setParentCaseId(String parentCaseId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `setSlaCompliance(Integer slaCompliance)`
    `void` | `setSlaDueDate(Date slaDueDate)`
    `void` | `setStartedAt(Date startedAt)`
    `void` | `setStatus(Integer status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseInstanceImpl

          public CaseInstanceImpl()

    - #### CaseInstanceImpl

          public CaseInstanceImpl(String caseId,
                                  String caseDescription,
                                  Collection<CaseStageInstance> caseStages,
                                  Collection<CaseMilestoneInstance> caseMilestones,
                                  Collection<CaseRoleInstance> caseRoles,
                                  CaseFileInstance caseFile)

    - #### CaseInstanceImpl

          public CaseInstanceImpl(String caseId,
                                  String caseDescription,
                                  String caseDefinitionId,
                                  Integer status,
                                  String deploymentId,
                                  String owner,
                                  Date startedAt,
                                  Date completedAt,
                                  Long processInstanceId,
                                  String completionMessage,
                                  Date slaDueDate,
                                  Integer slaCompliance)

      Constructor to be used mainly by persistence provider to create instances automatically
      Parameters:
        `caseId` -
        `caseDescription` -

    - #### CaseInstanceImpl

          public CaseInstanceImpl(String caseId,
                                  String caseDescription,
                                  String caseDefinitionId,
                                  Integer status,
                                  String deploymentId,
                                  String owner,
                                  Date startedAt,
                                  Date completedAt,
                                  Long processInstanceId,
                                  String completionMessage,
                                  Date slaDueDate,
                                  Integer slaCompliance,
                                  String parentCaseId)

      Constructor to be used mainly by persistence provider to create instances automatically
      Parameters:
        `caseId` -
        `caseDescription` -

  - ### Method Detail

    - #### getCaseId

          public String getCaseId()

      Description copied from interface: `CaseInstance`
      Returns case identifier of this case.
      Specified by:
        `getCaseId` in interface `CaseInstance`

    - #### getCaseDescription

          public String getCaseDescription()

      Description copied from interface: `CaseInstance`
      Returns case description
      Specified by:
        `getCaseDescription` in interface `CaseInstance`

    - #### getCaseStages

          public Collection<CaseStageInstance> getCaseStages()

      Description copied from interface: `CaseInstance`
      Returns available case stages in this case.
      Specified by:
        `getCaseStages` in interface `CaseInstance`

    - #### getCaseMilestones

          public Collection<CaseMilestoneInstance> getCaseMilestones()

      Description copied from interface: `CaseInstance`
      Returns available case milestones for this case.
      Specified by:
        `getCaseMilestones` in interface `CaseInstance`

    - #### getCaseRoles

          public Collection<CaseRoleInstance> getCaseRoles()

      Description copied from interface: `CaseInstance`
      Returns case roles for this case.
      Specified by:
        `getCaseRoles` in interface `CaseInstance`

    - #### getCaseFile

          public CaseFileInstance getCaseFile()

      Description copied from interface: `CaseInstance`
      Returns case file associated with this case.

      Note: `CaseInstance.getCaseFile()` will be empty unless `withData` flag is specified

      Specified by:
        `getCaseFile` in interface `CaseInstance`

    - #### getCaseDefinitionId

          public String getCaseDefinitionId()

      Description copied from interface: `CaseInstance`
      Returns case definition id
      Specified by:
        `getCaseDefinitionId` in interface `CaseInstance`

    - #### setCaseDefinitionId

          public void setCaseDefinitionId(String caseDefinitionId)

    - #### getStatus

          public Integer getStatus()

      Description copied from interface: `CaseInstance`
      Returns status of the case
      Specified by:
        `getStatus` in interface `CaseInstance`

    - #### setStatus

          public void setStatus(Integer status)

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `CaseInstance`
      Returns deployment id
      Specified by:
        `getDeploymentId` in interface `CaseInstance`

    - #### setDeploymentId

          public void setDeploymentId(String deploymentId)

    - #### getOwner

          public String getOwner()

      Description copied from interface: `CaseInstance`
      Returns owner of the case - usually one who started the case
      Specified by:
        `getOwner` in interface `CaseInstance`

    - #### setOwner

          public void setOwner(String owner)

    - #### getStartedAt

          public Date getStartedAt()

      Description copied from interface: `CaseInstance`
      Returns start date of this case
      Specified by:
        `getStartedAt` in interface `CaseInstance`

    - #### setStartedAt

          public void setStartedAt(Date startedAt)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### setCaseId

          public void setCaseId(String caseId)

    - #### setCaseDescription

          public void setCaseDescription(String caseDescription)

    - #### setCaseStages

          public void setCaseStages(Collection<CaseStageInstance> caseStages)

    - #### setCaseMilestones

          public void setCaseMilestones(Collection<CaseMilestoneInstance> caseMilestones)

    - #### setCaseRoles

          public void setCaseRoles(Collection<CaseRoleInstance> caseRoles)

    - #### setCaseFile

          public void setCaseFile(CaseFileInstance caseFile)

      Description copied from interface: `CaseInstance`
      Sets case file information to this instance
      Specified by:
        `setCaseFile` in interface `CaseInstance`
      Parameters:
        `caseFile` - caseFileInstance information

    - #### getCompletedAt

          public Date getCompletedAt()

      Description copied from interface: `CaseInstance`
      Returns completion date of this case
      Specified by:
        `getCompletedAt` in interface `CaseInstance`

    - #### setCompletedAt

          public void setCompletedAt(Date completedAt)

    - #### getCompletionMessage

          public String getCompletionMessage()

      Description copied from interface: `CaseInstance`
      Returns completion message (if any) of this case
      Specified by:
        `getCompletionMessage` in interface `CaseInstance`

    - #### setCompletionMessage

          public void setCompletionMessage(String completionMessage)

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Description copied from interface: `CaseInstance`
      Returns SLA due date if any is set on case instance
      Specified by:
        `getSlaDueDate` in interface `CaseInstance`

    - #### setSlaDueDate

          public void setSlaDueDate(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Description copied from interface: `CaseInstance`
      Returns up to date SLA compliance level for case instance
      Specified by:
        `getSlaCompliance` in interface `CaseInstance`

    - #### setSlaCompliance

          public void setSlaCompliance(Integer slaCompliance)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getParentCaseId

          public String getParentCaseId()

      Description copied from interface: `CaseInstance`
      Returns the parent id case if any
      Specified by:
        `getParentCaseId` in interface `CaseInstance`
      Returns:
        the parent case id

    - #### setParentCaseId

          public void setParentCaseId(String parentCaseId)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.